Subject: Re: [PATCH v1 1/5] read-cache: teach refresh_cache_entry to take istate

From: Ben Peart <[email-masked]>
Date: Tue, 17 Apr 2018 15:00:07 -0400

On 4/17/2018 12:34 PM, Jameson Miller wrote:
> Refactoring dependencies of make_cache_entry to work on a specific

Refactoring/Refactor

It's helpful to refer to functions with parens i.e. make_cache_entry().

In addition, it appears you only needed to update refresh_cache_entry() 
so perhaps something like:

Refactor refresh_cache_entry() to work on a specific index, instead of 
implicitly using the_index. This is in preparation for making the 
make_cache_entry() function work on a specific index.

Also, be sure to certify your work by adding your "Signed-off-by: " line 
to each commit.  Details at:

https://github.com/git/git/blob/master/Documentation/SubmittingPatches

> index, instead of implicitly using the_index. This is in preparation
> for making the make_cache_entry function work on a specific index.